petsc-3.4.2 2013-07-02

# KSPRichardsonSetSelfScale

Sets Richardson to automatically determine optimal scaling at each iteration to minimize the 2-norm of the preconditioned residual

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPRichardsonSetSelfScale(KSP ksp,PetscBool scale)

Logically Collective on KSP

### Input Parameters

| ksp | - the iterative context
| scale | - PETSC_TRUE or the default of PETSC_FALSE

Notes: Requires two extra work vectors. Uses an extra VecAXPY() and VecDotNorm2() per iteration.

Developer Notes: Could also minimize the 2-norm of the true residual with one less work vector

### Keywords

KSP, Richardson, set, scale

Level:intermediate
Location:src/ksp/ksp/impls/rich/richscale.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages